View Issue Details

IDProjectCategoryView StatusLast Update
0001122Main CAcert Websiteaccount administrationpublic2013-09-03 05:24
ReporterINOPIAEAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2012 Q4 
Target Version2013 Q2Fixed in Version2013 Q2 
Summary0001122: Give Support the chance to see when the first and the last CCA acception took place
DescriptionAdd additonal information to the SE admin console, so that SE is able to see the first and the last CCA acception.
This functionality should be visible only by request. Similar to the "last activity"
TagsNo tags attached.
Reviewed bydastrath, BenBE
Test Instructions

Relationships

related to 0001121 closedNEOatNHNG Record the CCA acception for the account creation  
child of 0000505 closedINOPIAE CCA agree mark 

Activities

INOPIAE

2012-12-13 09:39

updater   ~0003430

pushed fix to https://github.com/INOPIAE/CAcert/tree/bug-1122 need bug fix 1121

INOPIAE

2013-01-08 08:26

updater   ~0003604

Created new accounts for bug 1121
Log in with SE account
New entry CCA accepted visible
Old accounts show No ->ok
New Accounts show Yes ->

Following the links for CCA accepted
Old accounts show nothing listed in table ->ok
New accounts show
First active CCA 2013-01-08 08:50:43 account creation active
First passive CCA
Last CCA 2013-01-08 08:50:43 account creation active

as only one CCA cam be recorded ->ok

Werner Dworak

2013-01-08 17:08

updater   ~0003610

Created new accounts for bug 1121
Log in with SE account
New entry "CCA accepted:" with Yes -> ok
Old accounts show No -> ok

Following the links for CCA accepted
Old accounts show nothing listed in table -> ok
New accounts shows
First active CCA 2013-01-08 16:10:48 account creation active
First passive CCA
Last CCA 2013-01-08 16:10:48 account creation active

Is ok.

Uli60

2013-01-08 22:36

updater   ~0003624

Last edited: 2013-01-08 22:41

View 2 revisions

login to SE enabled account
System Admin
 + Find User
  1. Bug1121.1.user1@w.d
        CCA accepted: Yes (under DoB)
     click on "yes" link
     First active CCA 2013-01-08 23:22:12 account creation active
     First passive CCA
     Last CCA 2013-01-08 23:22:12 account creation active
=> ok

  2. Bug1121.user2@w.d
        CCA accepted: Yes (under DoB)
     click on "yes" link
     First active CCA 2013-01-08 23:25:16 account creation active
     First passive CCA
     Last CCA 2013-01-08 23:25:16 account creation active
     
     Account state says:
     Account State
     Account inconsistency: Users record verified not set
     Email record hash not unset
     code: 18
     Account inconsistency can cause problems in daily account
     operations and needs to be fixed manually through
     arbitration/critical team.
=> ok


Doing assurance over user1

login admin account
System Admin
 + Find User
  1. Bug1121.1.user1@w.d
        CCA accepted: Yes (under DoB)
     click on "yes" link
     CCA type Date Method Type
     First active CCA 2013-01-08 23:22:12 account creation active
     First passive CCA
     Last CCA 2013-01-08 23:22:12 account creation active

What should be under "First passive CCA" ?!?
=> ???

Assurer that assured user1 has accepted CCA+AP
System Admin
 + Find User
  1. assurer
        CCA accepted: No (under DoB)
=> FAIL

INOPIAE

2013-01-09 13:51

updater   ~0003631

@Uli60: As for the moment only the CCA acceptance during account creation is logged. The others "assurance" and "certificte creation" are in working progress and be implemented to a later point.

INOPIAE

2013-01-09 13:52

updater   ~0003632

Three successful tests availabe. Please review.

BenBE

2013-04-17 06:20

updater   ~0003900

2nd review by dastrath ok.

NEOatNHNG

2013-05-14 23:46

administrator   ~0004003

Mail sent to critical admins

wytze

2013-05-15 09:46

developer   ~0004005

The patch has been installed on the production server on May 15, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-05/msg00009.html

Issue History

Date Modified Username Field Change
2012-12-12 13:07 INOPIAE New Issue
2012-12-12 13:07 INOPIAE Assigned To => INOPIAE
2012-12-12 13:07 INOPIAE Status new => needs work
2012-12-12 13:08 INOPIAE Relationship added child of 0000505
2012-12-13 09:39 INOPIAE Note Added: 0003430
2012-12-13 09:39 INOPIAE Assigned To INOPIAE => BenBE
2012-12-13 09:39 INOPIAE Status needs work => fix available
2012-12-27 19:13 Werner Dworak Relationship added related to 0001121
2013-01-06 23:58 BenBE Reviewed by => BenBE
2013-01-06 23:58 BenBE Assigned To BenBE => NEOatNHNG
2013-01-06 23:58 BenBE Status fix available => needs review & testing
2013-01-08 08:26 INOPIAE Note Added: 0003604
2013-01-08 17:08 Werner Dworak Note Added: 0003610
2013-01-08 22:36 Uli60 Note Added: 0003624
2013-01-08 22:41 Uli60 Note Edited: 0003624 View Revisions
2013-01-09 13:51 INOPIAE Note Added: 0003631
2013-01-09 13:52 INOPIAE Note Added: 0003632
2013-01-09 13:52 INOPIAE Status needs review & testing => needs review
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable 2a9a29a5
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 145102ac
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 7dca631c
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e22a3384
2013-01-15 23:17 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 9b0e4983
2013-01-15 23:17 BenBE Source_changeset_attached => cacert-devel testserver-stable ca9db721
2013-04-17 06:20 BenBE Reviewed by BenBE => dastrath, BenBE
2013-04-17 06:20 BenBE Note Added: 0003900
2013-04-17 06:20 BenBE Status needs review => ready to deploy
2013-04-17 06:20 BenBE Product Version => 2012 Q4
2013-04-17 06:20 BenBE Target Version => 2013 Q2
2013-05-14 23:25 NEOatNHNG Source_changeset_attached => cacert-devel release d26f9abb
2013-05-14 23:46 NEOatNHNG Note Added: 0004003
2013-05-15 09:46 wytze Note Added: 0004005
2013-05-15 09:46 wytze Status ready to deploy => solved?
2013-05-15 09:46 wytze Fixed in Version => 2013 Q2
2013-05-15 09:46 wytze Resolution open => fixed
2013-09-03 05:24 INOPIAE Status solved? => closed
2013-09-03 05:24 INOPIAE Assigned To NEOatNHNG =>